#ifndef KEShopSeite_H
#define KEShopSeite_H

#include <Fenster.h>
#include <Thread.h>
#include <Animation.h>
#include "KESSEditor.h"
#include "KESSVorschau.h"

using namespace Framework;

class KEShopSeite : private Thread
{
private:
    Fenster *fenster;
    Animation2D *laden;
    Schrift *schrift;
    KESSEditor *editor;
    KESSVorschau *vorschau;
    int aktion;
    int zeile;
    bool animation;
    double tickVal;
    bool sichtbar;
    bool rechts;
    int xStart;
    int breite;
    int karte;
    unsigned char alpha;
    int ref;

public:
    // Konstruktor
    KEShopSeite( int karte, Schrift *zSchrift );
    // Destruktor
    ~KEShopSeite();
    // nicht constant
    void setSichtbar( bool s, bool vr );
    void thread() override;
    void doMausEreignis( MausEreignis &me );
    void doTastaturEreignis( TastaturEreignis &te );
    bool tick( double z );
    void render( Bild &zRObj );
    // constant
    bool istSichtbar() const;
    // Reference Counting
    KEShopSeite *getThis();
    KEShopSeite *release();
};

#endif